# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
  -DFCS_STATE_STORAGE=FCS_STATE_STORAGE_INTERNAL_HASH
  -DFCS_STACK_STORAGE=FCS_STACK_STORAGE_INTERNAL_HASH
)


##### fcs (static) ##############################

tde_add_library( fcs STATIC_PIC AUTOMOC
  SOURCES alloc.c app_str.c caas.c card.c cl_chop.c cmd_line.c fcs_dm.c
    fcs_hash.c fcs_isa.c freecell.c intrface.c lib.c lookup2.c move.c pqueue.c
    preset.c rand.c scans.c simpsim.c state.c
)
